Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class GroovyDocWriter

- org.codehaus.groovy.tools.groovydoc.GroovyDocWriter

-     public class GroovyDocWriter
      extends Object

  Write GroovyDoc resources to destination.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyDocWriter(GroovyDocTool tool, OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties)`
    `GroovyDocWriter(OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `writeClassToOutput(GroovyClassDoc classDoc, String destdir)`
    `` | `public void` | `writeClasses(GroovyRootDoc rootDoc, String destdir)`
    `` | `public void` | `writePackageToOutput(GroovyPackageDoc packageDoc, String destdir)`
    `` | `public void` | `writePackages(GroovyRootDoc rootDoc, String destdir)`
    `` | `public void` | `writeRoot(GroovyRootDoc rootDoc, String destdir)`
    `` | `public void` | `writeRootDocToOutput(GroovyRootDoc rootDoc, String destdir)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### @Deprecated public GroovyDocWriter(GroovyDocTool tool, OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties)

    - #### public GroovyDocWriter(OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties)

  - ### Method Detail

    - #### public void writeClassToOutput(GroovyClassDoc classDoc, String destdir)

    - #### public void writeClasses(GroovyRootDoc rootDoc, String destdir)

    - #### public void writePackageToOutput(GroovyPackageDoc packageDoc, String destdir)

    - #### public void writePackages(GroovyRootDoc rootDoc, String destdir)

    - #### public void writeRoot(GroovyRootDoc rootDoc, String destdir)

    - #### public void writeRootDocToOutput(GroovyRootDoc rootDoc, String destdir)